Index: uspace/lib/label/src/mbr.c
===================================================================
--- uspace/lib/label/src/mbr.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/label/src/mbr.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,31 +43,31 @@
 #include "mbr.h"
 
-static errno_t mbr_open(label_bd_t *, label_t **);
-static errno_t mbr_open_ext(label_t *);
-static errno_t mbr_create(label_bd_t *, label_t **);
+static int mbr_open(label_bd_t *, label_t **);
+static int mbr_open_ext(label_t *);
+static int mbr_create(label_bd_t *, label_t **);
 static void mbr_close(label_t *);
-static errno_t mbr_destroy(label_t *);
-static errno_t mbr_get_info(label_t *, label_info_t *);
+static int mbr_destroy(label_t *);
+static int mbr_get_info(label_t *, label_info_t *);
 static label_part_t *mbr_part_first(label_t *);
 static label_part_t *mbr_part_next(label_part_t *);
 static void mbr_part_get_info(label_part_t *, label_part_info_t *);
-static errno_t mbr_part_create(label_t *, label_part_spec_t *, label_part_t **);
-static errno_t mbr_part_destroy(label_part_t *);
-static errno_t mbr_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
-
-static errno_t mbr_check_free_idx(label_t *, int);
-static errno_t mbr_check_free_pri_range(label_t *, uint64_t, uint64_t);
-static errno_t mbr_check_free_log_range(label_t *, uint64_t, uint64_t, uint64_t);
+static int mbr_part_create(label_t *, label_part_spec_t *, label_part_t **);
+static int mbr_part_destroy(label_part_t *);
+static int mbr_suggest_ptype(label_t *, label_pcnt_t, label_ptype_t *);
+
+static int mbr_check_free_idx(label_t *, int);
+static int mbr_check_free_pri_range(label_t *, uint64_t, uint64_t);
+static int mbr_check_free_log_range(label_t *, uint64_t, uint64_t, uint64_t);
 
 static void mbr_unused_pte(mbr_pte_t *);
-static errno_t mbr_part_to_pte(label_part_t *, mbr_pte_t *);
-static errno_t mbr_pte_to_part(label_t *, mbr_pte_t *, int);
-static errno_t mbr_pte_to_log_part(label_t *, uint64_t, mbr_pte_t *);
+static int mbr_part_to_pte(label_part_t *, mbr_pte_t *);
+static int mbr_pte_to_part(label_t *, mbr_pte_t *, int);
+static int mbr_pte_to_log_part(label_t *, uint64_t, mbr_pte_t *);
 static void mbr_log_part_to_ptes(label_part_t *, mbr_pte_t *, mbr_pte_t *);
-static errno_t mbr_pte_update(label_t *, mbr_pte_t *, int);
-static errno_t mbr_log_part_insert(label_t *, label_part_t *);
-static errno_t mbr_ebr_create(label_t *, label_part_t *);
-static errno_t mbr_ebr_delete(label_t *, label_part_t *);
-static errno_t mbr_ebr_update_next(label_t *, label_part_t *);
+static int mbr_pte_update(label_t *, mbr_pte_t *, int);
+static int mbr_log_part_insert(label_t *, label_part_t *);
+static int mbr_ebr_create(label_t *, label_part_t *);
+static int mbr_ebr_delete(label_t *, label_part_t *);
+static int mbr_ebr_update_next(label_t *, label_part_t *);
 static void mbr_update_log_indices(label_t *);
 
@@ -86,5 +86,5 @@
 };
 
-static errno_t mbr_open(label_bd_t *bd, label_t **rlabel)
+static int mbr_open(label_bd_t *bd, label_t **rlabel)
 {
 	label_t *label = NULL;
@@ -96,5 +96,5 @@
 	aoff64_t nblocks;
 	uint32_t entry;
-	errno_t rc;
+	int rc;
 
 	rc = bd->ops->get_bsize(bd->arg, &bsize);
@@ -202,5 +202,5 @@
 
 /** Open extended partition */
-static errno_t mbr_open_ext(label_t *label)
+static int mbr_open_ext(label_t *label)
 {
 	mbr_br_block_t *ebr = NULL;
@@ -215,5 +215,5 @@
 	uint64_t pnblocks;
 	uint64_t ep_b0;
-	errno_t rc;
+	int rc;
 
 	ebr = calloc(1, label->block_size);
@@ -300,5 +300,5 @@
 }
 
-static errno_t mbr_create(label_bd_t *bd, label_t **rlabel)
+static int mbr_create(label_bd_t *bd, label_t **rlabel)
 {
 	label_t *label = NULL;
@@ -307,5 +307,5 @@
 	size_t bsize;
 	int i;
-	errno_t rc;
+	int rc;
 
 	rc = bd->ops->get_bsize(bd->arg, &bsize);
@@ -389,9 +389,9 @@
 }
 
-static errno_t mbr_destroy(label_t *label)
+static int mbr_destroy(label_t *label)
 {
 	mbr_br_block_t *mbr = NULL;
 	label_part_t *part;
-	errno_t rc;
+	int rc;
 
 	part = mbr_part_first(label);
@@ -428,5 +428,5 @@
 }
 
-static errno_t mbr_get_info(label_t *label, label_info_t *linfo)
+static int mbr_get_info(label_t *label, label_info_t *linfo)
 {
 	memset(linfo, 0, sizeof(label_info_t));
@@ -546,5 +546,5 @@
 }
 
-static errno_t mbr_part_create(label_t *label, label_part_spec_t *pspec,
+static int mbr_part_create(label_t *label, label_part_spec_t *pspec,
     label_part_t **rpart)
 {
@@ -553,5 +553,5 @@
 	label_part_t *next;
 	mbr_pte_t pte;
-	errno_t rc;
+	int rc;
 
 	if (pspec->ptype.fmt != lptf_num)
@@ -694,5 +694,5 @@
 }
 
-static errno_t mbr_part_destroy(label_part_t *part)
+static int mbr_part_destroy(label_part_t *part)
 {
 	mbr_pte_t pte;
@@ -700,5 +700,5 @@
 	label_part_t *next;
 	uint64_t ep_b0;
-	errno_t rc;
+	int rc;
 
 	if (link_used(&part->lpri)) {
@@ -776,5 +776,5 @@
 }
 
-static errno_t mbr_suggest_ptype(label_t *label, label_pcnt_t pcnt,
+static int mbr_suggest_ptype(label_t *label, label_pcnt_t pcnt,
     label_ptype_t *ptype)
 {
@@ -813,5 +813,5 @@
 
 /** Verify that the specified index is valid and free. */
-static errno_t mbr_check_free_idx(label_t *label, int index)
+static int mbr_check_free_idx(label_t *label, int index)
 {
 	label_part_t *part;
@@ -830,5 +830,5 @@
 }
 
-static errno_t mbr_check_free_pri_range(label_t *label, uint64_t block0,
+static int mbr_check_free_pri_range(label_t *label, uint64_t block0,
     uint64_t nblocks)
 {
@@ -850,5 +850,5 @@
 }
 
-static errno_t mbr_check_free_log_range(label_t *label, uint64_t hdr_blocks,
+static int mbr_check_free_log_range(label_t *label, uint64_t hdr_blocks,
     uint64_t block0, uint64_t nblocks)
 {
@@ -877,5 +877,5 @@
 }
 
-static errno_t mbr_part_to_pte(label_part_t *part, mbr_pte_t *pte)
+static int mbr_part_to_pte(label_part_t *part, mbr_pte_t *pte)
 {
 	if ((part->block0 >> 32) != 0)
@@ -893,5 +893,5 @@
 }
 
-static errno_t mbr_pte_to_part(label_t *label, mbr_pte_t *pte, int index)
+static int mbr_pte_to_part(label_t *label, mbr_pte_t *pte, int index)
 {
 	label_part_t *part;
@@ -931,5 +931,5 @@
 }
 
-static errno_t mbr_pte_to_log_part(label_t *label, uint64_t ebr_b0,
+static int mbr_pte_to_log_part(label_t *label, uint64_t ebr_b0,
     mbr_pte_t *pte)
 {
@@ -1009,8 +1009,8 @@
  * @a pte.
  */
-static errno_t mbr_pte_update(label_t *label, mbr_pte_t *pte, int index)
+static int mbr_pte_update(label_t *label, mbr_pte_t *pte, int index)
 {
 	mbr_br_block_t *br;
-	errno_t rc;
+	int rc;
 
 	br = calloc(1, label->block_size);
@@ -1040,5 +1040,5 @@
 
 /** Insert logical partition into logical partition list. */
-static errno_t mbr_log_part_insert(label_t *label, label_part_t *part)
+static int mbr_log_part_insert(label_t *label, label_part_t *part)
 {
 	label_part_t *cur;
@@ -1066,9 +1066,9 @@
  * @return EOK on success or non-zero error code
  */
-static errno_t mbr_ebr_create(label_t *label, label_part_t *part)
+static int mbr_ebr_create(label_t *label, label_part_t *part)
 {
 	mbr_br_block_t *br;
 	uint64_t ba;
-	errno_t rc;
+	int rc;
 
 	br = calloc(1, label->block_size);
@@ -1099,9 +1099,9 @@
 }
 
-static errno_t mbr_ebr_delete(label_t *label, label_part_t *part)
+static int mbr_ebr_delete(label_t *label, label_part_t *part)
 {
 	mbr_br_block_t *br;
 	uint64_t ba;
-	errno_t rc;
+	int rc;
 
 	br = calloc(1, label->block_size);
@@ -1125,10 +1125,10 @@
 
 /** Update 'next' PTE in EBR of partition. */
-static errno_t mbr_ebr_update_next(label_t *label, label_part_t *part)
+static int mbr_ebr_update_next(label_t *label, label_part_t *part)
 {
 	mbr_br_block_t *br;
 	uint64_t ba;
 	uint16_t sgn;
-	errno_t rc;
+	int rc;
 
 	ba = part->block0 - part->hdr_blocks;
Index: uspace/lib/label/test/label.c
===================================================================
--- uspace/lib/label/test/label.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/label/test/label.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,8 +37,8 @@
 PCUT_TEST_SUITE(label);
 
-static errno_t label_test_get_bsize(void *, size_t *);
-static errno_t label_test_get_nblocks(void *, aoff64_t *);
-static errno_t label_test_read(void *, aoff64_t, size_t, void *);
-static errno_t label_test_write(void *, aoff64_t, size_t, const void *);
+static int label_test_get_bsize(void *, size_t *);
+static int label_test_get_nblocks(void *, aoff64_t *);
+static int label_test_read(void *, aoff64_t, size_t, void *);
+static int label_test_write(void *, aoff64_t, size_t, const void *);
 
 label_bd_ops_t label_test_ops = {
@@ -67,5 +67,5 @@
  * @param rbd Place to store pointer to new pretended block device
  */
-static errno_t test_bd_create(size_t bsize, aoff64_t nblocks, test_bd_t **rbd)
+static int test_bd_create(size_t bsize, aoff64_t nblocks, test_bd_t **rbd)
 {
 	test_bd_t *bd;
@@ -99,5 +99,5 @@
 
 /** Get block size wrapper for liblabel */
-static errno_t label_test_get_bsize(void *arg, size_t *bsize)
+static int label_test_get_bsize(void *arg, size_t *bsize)
 {
 	test_bd_t *bd = (test_bd_t *)arg;
@@ -108,5 +108,5 @@
 
 /** Get number of blocks wrapper for liblabel */
-static errno_t label_test_get_nblocks(void *arg, aoff64_t *nblocks)
+static int label_test_get_nblocks(void *arg, aoff64_t *nblocks)
 {
 	test_bd_t *bd = (test_bd_t *)arg;
@@ -117,5 +117,5 @@
 
 /** Read blocks wrapper for liblabel */
-static errno_t label_test_read(void *arg, aoff64_t ba, size_t cnt, void *buf)
+static int label_test_read(void *arg, aoff64_t ba, size_t cnt, void *buf)
 {
 	test_bd_t *bd = (test_bd_t *)arg;
@@ -129,5 +129,5 @@
 
 /** Write blocks wrapper for liblabel */
-static errno_t label_test_write(void *arg, aoff64_t ba, size_t cnt, const void *data)
+static int label_test_write(void *arg, aoff64_t ba, size_t cnt, const void *data)
 {
 	test_bd_t *bd = (test_bd_t *)arg;
@@ -146,5 +146,5 @@
 	label_part_t *part;
 	test_bd_t *bd = NULL;
-	errno_t rc;
+	int rc;
 
 	rc = test_bd_create(test_block_size, test_nblocks, &bd);
@@ -181,5 +181,5 @@
 	label_part_t *part;
 	test_bd_t *bd = NULL;
-	errno_t rc;
+	int rc;
 
 	rc = test_bd_create(test_block_size, test_nblocks, &bd);
@@ -242,5 +242,5 @@
 	label_part_t *part;
 	test_bd_t *bd = NULL;
-	errno_t rc;
+	int rc;
 
 	rc = test_bd_create(test_block_size, test_nblocks, &bd);
@@ -304,5 +304,5 @@
 	label_ptype_t ptype;
 	test_bd_t *bd = NULL;
-	errno_t rc;
+	int rc;
 
 	rc = test_bd_create(test_block_size, test_nblocks, &bd);
@@ -393,5 +393,5 @@
 	label_part_info_t pinfo, lpinfo, epinfo;
 	test_bd_t *bd = NULL;
-	errno_t rc;
+	int rc;
 
 	rc = test_bd_create(test_block_size, test_nblocks, &bd);
@@ -531,5 +531,5 @@
 	label_ptype_t ptype;
 	test_bd_t *bd = NULL;
-	errno_t rc;
+	int rc;
 
 	rc = test_bd_create(test_block_size, test_nblocks, &bd);
Index: uspace/lib/nettl/include/nettl/amap.h
===================================================================
--- uspace/lib/nettl/include/nettl/amap.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nettl/include/nettl/amap.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -91,10 +91,10 @@
 } amap_flags_t;
 
-extern errno_t amap_create(amap_t **);
+extern int amap_create(amap_t **);
 extern void amap_destroy(amap_t *);
-extern errno_t amap_insert(amap_t *, inet_ep2_t *, void *, amap_flags_t,
+extern int amap_insert(amap_t *, inet_ep2_t *, void *, amap_flags_t,
     inet_ep2_t *);
 extern void amap_remove(amap_t *, inet_ep2_t *);
-extern errno_t amap_find_match(amap_t *, inet_ep2_t *, void **);
+extern int amap_find_match(amap_t *, inet_ep2_t *, void **);
 
 #endif
Index: uspace/lib/nettl/include/nettl/portrng.h
===================================================================
--- uspace/lib/nettl/include/nettl/portrng.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nettl/include/nettl/portrng.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -58,9 +58,9 @@
 } portrng_flags_t;
 
-extern errno_t portrng_create(portrng_t **);
+extern int portrng_create(portrng_t **);
 extern void portrng_destroy(portrng_t *);
-extern errno_t portrng_alloc(portrng_t *, uint16_t, void *,
+extern int portrng_alloc(portrng_t *, uint16_t, void *,
     portrng_flags_t, uint16_t *);
-extern errno_t portrng_find_port(portrng_t *, uint16_t, void **);
+extern int portrng_find_port(portrng_t *, uint16_t, void **);
 extern void portrng_free_port(portrng_t *, uint16_t);
 extern bool portrng_empty(portrng_t *);
Index: uspace/lib/nettl/src/amap.c
===================================================================
--- uspace/lib/nettl/src/amap.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nettl/src/amap.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -80,8 +80,8 @@
  * @return EOk on success, ENOMEM if out of memory
  */
-errno_t amap_create(amap_t **rmap)
+int amap_create(amap_t **rmap)
 {
 	amap_t *map;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_create()");
@@ -131,5 +131,5 @@
  * @return EOK on success, ENOENT if not found
  */
-static errno_t amap_repla_find(amap_t *map, inet_ep_t *rep, inet_addr_t *la,
+static int amap_repla_find(amap_t *map, inet_ep_t *rep, inet_addr_t *la,
     amap_repla_t **rrepla)
 {
@@ -175,9 +175,9 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-static errno_t amap_repla_insert(amap_t *map, inet_ep_t *rep, inet_addr_t *la,
+static int amap_repla_insert(amap_t *map, inet_ep_t *rep, inet_addr_t *la,
     amap_repla_t **rrepla)
 {
 	amap_repla_t *repla;
-	errno_t rc;
+	int rc;
 
 	repla = calloc(1, sizeof(amap_repla_t));
@@ -225,5 +225,5 @@
  * @return EOK on success, ENOENT if not found.
  */
-static errno_t amap_laddr_find(amap_t *map, inet_addr_t *addr,
+static int amap_laddr_find(amap_t *map, inet_addr_t *addr,
     amap_laddr_t **rladdr)
 {
@@ -248,9 +248,9 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-static errno_t amap_laddr_insert(amap_t *map, inet_addr_t *addr,
+static int amap_laddr_insert(amap_t *map, inet_addr_t *addr,
     amap_laddr_t **rladdr)
 {
 	amap_laddr_t *laddr;
-	errno_t rc;
+	int rc;
 
 	laddr = calloc(1, sizeof(amap_laddr_t));
@@ -297,5 +297,5 @@
  * @return EOK on success, ENOENT if not found.
  */
-static errno_t amap_llink_find(amap_t *map, sysarg_t link_id,
+static int amap_llink_find(amap_t *map, sysarg_t link_id,
     amap_llink_t **rllink)
 {
@@ -320,9 +320,9 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-static errno_t amap_llink_insert(amap_t *map, sysarg_t link_id,
+static int amap_llink_insert(amap_t *map, sysarg_t link_id,
     amap_llink_t **rllink)
 {
 	amap_llink_t *llink;
-	errno_t rc;
+	int rc;
 
 	llink = calloc(1, sizeof(amap_llink_t));
@@ -372,10 +372,10 @@
  *         ENOMEM if out of memory
  */
-static errno_t amap_insert_repla(amap_t *map, inet_ep2_t *epp, void *arg,
+static int amap_insert_repla(amap_t *map, inet_ep2_t *epp, void *arg,
     amap_flags_t flags, inet_ep2_t *aepp)
 {
 	amap_repla_t *repla;
 	inet_ep2_t mepp;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_insert_repla()");
@@ -417,10 +417,10 @@
  *         ENOMEM if out of memory
  */
-static errno_t amap_insert_laddr(amap_t *map, inet_ep2_t *epp, void *arg,
+static int amap_insert_laddr(amap_t *map, inet_ep2_t *epp, void *arg,
     amap_flags_t flags, inet_ep2_t *aepp)
 {
 	amap_laddr_t *laddr;
 	inet_ep2_t mepp;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_insert_laddr()");
@@ -461,10 +461,10 @@
  *         ENOMEM if out of memory
  */
-static errno_t amap_insert_llink(amap_t *map, inet_ep2_t *epp, void *arg,
+static int amap_insert_llink(amap_t *map, inet_ep2_t *epp, void *arg,
     amap_flags_t flags, inet_ep2_t *aepp)
 {
 	amap_llink_t *llink;
 	inet_ep2_t mepp;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_insert_llink()");
@@ -505,9 +505,9 @@
  *         ENOMEM if out of memory
  */
-static errno_t amap_insert_unspec(amap_t *map, inet_ep2_t *epp, void *arg,
+static int amap_insert_unspec(amap_t *map, inet_ep2_t *epp, void *arg,
     amap_flags_t flags, inet_ep2_t *aepp)
 {
 	inet_ep2_t mepp;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_insert_unspec()");
@@ -538,10 +538,10 @@
  *         ENOMEM if out of memory
  */
-errno_t amap_insert(amap_t *map, inet_ep2_t *epp, void *arg, amap_flags_t flags,
+int amap_insert(amap_t *map, inet_ep2_t *epp, void *arg, amap_flags_t flags,
     inet_ep2_t *aepp)
 {
 	bool raddr, rport, laddr, llink;
 	inet_ep2_t mepp;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG2, "amap_insert()");
@@ -599,5 +599,5 @@
 {
 	amap_repla_t *repla;
-	errno_t rc;
+	int rc;
 
 	rc = amap_repla_find(map, &epp->remote, &epp->local.addr, &repla);
@@ -624,5 +624,5 @@
 {
 	amap_laddr_t *laddr;
-	errno_t rc;
+	int rc;
 
 	rc = amap_laddr_find(map, &epp->local.addr, &laddr);
@@ -649,5 +649,5 @@
 {
 	amap_llink_t *llink;
-	errno_t rc;
+	int rc;
 
 	rc = amap_llink_find(map, epp->local_link, &llink);
@@ -721,7 +721,7 @@
  * @return	EOK on success, ENOENT if not found.
  */
-errno_t amap_find_match(amap_t *map, inet_ep2_t *epp, void **rarg)
-{
-	errno_t rc;
+int amap_find_match(amap_t *map, inet_ep2_t *epp, void **rarg)
+{
+	int rc;
 	amap_repla_t *repla;
 	amap_laddr_t *laddr;
Index: uspace/lib/nettl/src/portrng.c
===================================================================
--- uspace/lib/nettl/src/portrng.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nettl/src/portrng.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -51,5 +51,5 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-errno_t portrng_create(portrng_t **rpr)
+int portrng_create(portrng_t **rpr)
 {
 	portrng_t *pr;
@@ -93,5 +93,5 @@
  *         @c pf_allow_system was not set.
  */
-errno_t portrng_alloc(portrng_t *pr, uint16_t pnum, void *arg,
+int portrng_alloc(portrng_t *pr, uint16_t pnum, void *arg,
     portrng_flags_t flags, uint16_t *apnum)
 {
@@ -163,5 +163,5 @@
  * @return EOK on success, ENOENT if specified port number is not allocated
  */
-errno_t portrng_find_port(portrng_t *pr, uint16_t pnum, void **rarg)
+int portrng_find_port(portrng_t *pr, uint16_t pnum, void **rarg)
 {
 	list_foreach(pr->used, lprng, portrng_port_t, port) {
Index: uspace/lib/nic/include/nic.h
===================================================================
--- uspace/lib/nic/include/nic.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/include/nic.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -57,5 +57,5 @@
 	nic_wv_id_t id;
 	nic_wv_type_t type;
-	void *data;
+	const void *data;
 	size_t length;
 	struct nic_wol_virtue *next;
@@ -87,5 +87,5 @@
 /**
  * The handler for transitions between driver states.
- * If the handler returns error code, the transition between
+ * If the handler returns negative error code, the transition between
  * states is canceled (the state is not changed).
  *
@@ -93,7 +93,7 @@
  *
  * @return EOK	If everything is all right.
- * @return error code on error.
- */
-typedef errno_t (*state_change_handler)(nic_t *);
+ * @return negative error code on error.
+ */
+typedef int (*state_change_handler)(nic_t *);
 
 /**
@@ -108,5 +108,5 @@
  * @return ENOTSUP	If this mode is not supported
  */
-typedef errno_t (*unicast_mode_change_handler)(nic_t *,
+typedef int (*unicast_mode_change_handler)(nic_t *,
     nic_unicast_mode_t, const nic_address_t *, size_t);
 
@@ -122,5 +122,5 @@
  * @return ENOTSUP	If this mode is not supported
  */
-typedef errno_t (*multicast_mode_change_handler)(nic_t *,
+typedef int (*multicast_mode_change_handler)(nic_t *,
     nic_multicast_mode_t, const nic_address_t *, size_t);
 
@@ -134,5 +134,5 @@
  * @return ENOTSUP	If this mode is not supported
  */
-typedef errno_t (*broadcast_mode_change_handler)(nic_t *, nic_broadcast_mode_t);
+typedef int (*broadcast_mode_change_handler)(nic_t *, nic_broadcast_mode_t);
 
 /**
@@ -172,5 +172,5 @@
  * 					limit of these HW filters was reached.
  */
-typedef errno_t (*wol_virtue_add_handler)(nic_t *, const nic_wol_virtue_t *);
+typedef int (*wol_virtue_add_handler)(nic_t *, const nic_wol_virtue_t *);
 
 /**
@@ -195,5 +195,5 @@
  * @return EINVAL	If this mode cannot be set up under no circumstances
  */
-typedef errno_t (*poll_mode_change_handler)(nic_t *,
+typedef int (*poll_mode_change_handler)(nic_t *,
     nic_poll_mode_t, const struct timeval *);
 
@@ -211,10 +211,10 @@
 
 /* Functions called in the main function */
-extern errno_t nic_driver_init(const char *);
+extern int nic_driver_init(const char *);
 extern void nic_driver_implement(driver_ops_t *, ddf_dev_ops_t *,
     nic_iface_t *);
 
 /* Functions called in add_device */
-extern errno_t nic_get_resources(nic_t *, hw_res_list_parsed_t *);
+extern int nic_get_resources(nic_t *, hw_res_list_parsed_t *);
 extern void nic_set_specific(nic_t *, void *);
 extern void nic_set_send_frame_handler(nic_t *, send_frame_handler);
@@ -239,6 +239,6 @@
 extern nic_device_state_t nic_query_state(nic_t *);
 extern void nic_set_tx_busy(nic_t *, int);
-extern errno_t nic_report_address(nic_t *, const nic_address_t *);
-extern errno_t nic_report_poll_mode(nic_t *, nic_poll_mode_t, struct timeval *);
+extern int nic_report_address(nic_t *, const nic_address_t *);
+extern int nic_report_poll_mode(nic_t *, nic_poll_mode_t, struct timeval *);
 extern void nic_query_address(nic_t *, nic_address_t *);
 extern void nic_received_frame(nic_t *, nic_frame_t *);
@@ -268,5 +268,5 @@
 extern void nic_query_blocked_sources(const nic_t *,
     size_t, nic_address_t *, size_t *);
-extern errno_t nic_query_vlan_mask(const nic_t *, nic_vlan_mask_t *);
+extern int nic_query_vlan_mask(const nic_t *, nic_vlan_mask_t *);
 extern int nic_query_wol_max_caps(const nic_t *, nic_wv_type_t);
 extern void nic_set_wol_max_caps(nic_t *, nic_wv_type_t, int);
Index: uspace/lib/nic/include/nic_addr_db.h
===================================================================
--- uspace/lib/nic/include/nic_addr_db.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/include/nic_addr_db.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -55,12 +55,12 @@
 
 
-extern errno_t nic_addr_db_init(nic_addr_db_t *db, size_t addr_len);
+extern int nic_addr_db_init(nic_addr_db_t *db, size_t addr_len);
 extern void nic_addr_db_clear(nic_addr_db_t *db);
 extern void nic_addr_db_destroy(nic_addr_db_t *db);
-extern errno_t nic_addr_db_insert(nic_addr_db_t *db, const uint8_t *addr);
-extern errno_t nic_addr_db_remove(nic_addr_db_t *db, const uint8_t *addr);
-extern bool nic_addr_db_contains(const nic_addr_db_t *db, const uint8_t *addr);
+extern int nic_addr_db_insert(nic_addr_db_t *db, const uint8_t *addr);
+extern int nic_addr_db_remove(nic_addr_db_t *db, const uint8_t *addr);
+extern int nic_addr_db_contains(const nic_addr_db_t *db, const uint8_t *addr);
 extern void nic_addr_db_foreach(const nic_addr_db_t *db,
-    void (*func)(const uint8_t *, void *), void *arg);
+	void (*func)(const uint8_t *, void *), void *arg);
 
 #endif
Index: uspace/lib/nic/include/nic_ev.h
===================================================================
--- uspace/lib/nic/include/nic_ev.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/include/nic_ev.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,7 +43,7 @@
 #include <stddef.h>
 
-extern errno_t nic_ev_addr_changed(async_sess_t *, const nic_address_t *);
-extern errno_t nic_ev_device_state(async_sess_t *, sysarg_t);
-extern errno_t nic_ev_received(async_sess_t *, void *, size_t);
+extern int nic_ev_addr_changed(async_sess_t *, const nic_address_t *);
+extern int nic_ev_device_state(async_sess_t *, sysarg_t);
+extern int nic_ev_received(async_sess_t *, void *, size_t);
 
 #endif
Index: uspace/lib/nic/include/nic_impl.h
===================================================================
--- uspace/lib/nic/include/nic_impl.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/include/nic_impl.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -46,42 +46,42 @@
  * inject some adaptation layer between the DDF call and NICF implementation */
 
-extern errno_t nic_get_address_impl(ddf_fun_t *dev_fun, nic_address_t *address);
-extern errno_t nic_send_frame_impl(ddf_fun_t *dev_fun, void *data, size_t size);
-extern errno_t nic_callback_create_impl(ddf_fun_t *dev_fun);
-extern errno_t nic_get_state_impl(ddf_fun_t *dev_fun, nic_device_state_t *state);
-extern errno_t nic_set_state_impl(ddf_fun_t *dev_fun, nic_device_state_t state);
-extern errno_t nic_get_stats_impl(ddf_fun_t *dev_fun, nic_device_stats_t *stats);
-extern errno_t nic_unicast_get_mode_impl(ddf_fun_t *dev_fun,
+extern int nic_get_address_impl(ddf_fun_t *dev_fun, nic_address_t *address);
+extern int nic_send_frame_impl(ddf_fun_t *dev_fun, void *data, size_t size);
+extern int nic_callback_create_impl(ddf_fun_t *dev_fun);
+extern int nic_get_state_impl(ddf_fun_t *dev_fun, nic_device_state_t *state);
+extern int nic_set_state_impl(ddf_fun_t *dev_fun, nic_device_state_t state);
+extern int nic_get_stats_impl(ddf_fun_t *dev_fun, nic_device_stats_t *stats);
+extern int nic_unicast_get_mode_impl(ddf_fun_t *dev_fun,
     nic_unicast_mode_t *, size_t, nic_address_t *, size_t *);
-extern errno_t nic_unicast_set_mode_impl(ddf_fun_t *dev_fun,
+extern int nic_unicast_set_mode_impl(ddf_fun_t *dev_fun,
     nic_unicast_mode_t, const nic_address_t *, size_t);
-extern errno_t nic_multicast_get_mode_impl(ddf_fun_t *dev_fun,
+extern int nic_multicast_get_mode_impl(ddf_fun_t *dev_fun,
     nic_multicast_mode_t *, size_t, nic_address_t *, size_t *);
-extern errno_t nic_multicast_set_mode_impl(ddf_fun_t *dev_fun,
+extern int nic_multicast_set_mode_impl(ddf_fun_t *dev_fun,
     nic_multicast_mode_t, const nic_address_t *, size_t);
-extern errno_t nic_broadcast_get_mode_impl(ddf_fun_t *, nic_broadcast_mode_t *);
-extern errno_t nic_broadcast_set_mode_impl(ddf_fun_t *, nic_broadcast_mode_t);
-extern errno_t nic_blocked_sources_get_impl(ddf_fun_t *,
+extern int nic_broadcast_get_mode_impl(ddf_fun_t *, nic_broadcast_mode_t *);
+extern int nic_broadcast_set_mode_impl(ddf_fun_t *, nic_broadcast_mode_t);
+extern int nic_blocked_sources_get_impl(ddf_fun_t *,
     size_t, nic_address_t *, size_t *);
-extern errno_t nic_blocked_sources_set_impl(ddf_fun_t *, const nic_address_t *, size_t);
-extern errno_t nic_vlan_get_mask_impl(ddf_fun_t *, nic_vlan_mask_t *);
-extern errno_t nic_vlan_set_mask_impl(ddf_fun_t *, const nic_vlan_mask_t *);
-extern errno_t nic_wol_virtue_add_impl(ddf_fun_t *dev_fun, nic_wv_type_t type,
+extern int nic_blocked_sources_set_impl(ddf_fun_t *, const nic_address_t *, size_t);
+extern int nic_vlan_get_mask_impl(ddf_fun_t *, nic_vlan_mask_t *);
+extern int nic_vlan_set_mask_impl(ddf_fun_t *, const nic_vlan_mask_t *);
+extern int nic_wol_virtue_add_impl(ddf_fun_t *dev_fun, nic_wv_type_t type,
     const void *data, size_t length, nic_wv_id_t *new_id);
-extern errno_t nic_wol_virtue_remove_impl(ddf_fun_t *dev_fun, nic_wv_id_t id);
-extern errno_t nic_wol_virtue_probe_impl(ddf_fun_t *dev_fun, nic_wv_id_t id,
+extern int nic_wol_virtue_remove_impl(ddf_fun_t *dev_fun, nic_wv_id_t id);
+extern int nic_wol_virtue_probe_impl(ddf_fun_t *dev_fun, nic_wv_id_t id,
     nic_wv_type_t *type, size_t max_length, void *data, size_t *length);
-extern errno_t nic_wol_virtue_list_impl(ddf_fun_t *dev_fun, nic_wv_type_t type,
+extern int nic_wol_virtue_list_impl(ddf_fun_t *dev_fun, nic_wv_type_t type,
     size_t max_count, nic_wv_id_t *id_list, size_t *id_count);
-extern errno_t nic_wol_virtue_get_caps_impl(ddf_fun_t *, nic_wv_type_t, int *);
-extern errno_t nic_poll_get_mode_impl(ddf_fun_t *,
+extern int nic_wol_virtue_get_caps_impl(ddf_fun_t *, nic_wv_type_t, int *);
+extern int nic_poll_get_mode_impl(ddf_fun_t *,
     nic_poll_mode_t *, struct timeval *);
-extern errno_t nic_poll_set_mode_impl(ddf_fun_t *,
+extern int nic_poll_set_mode_impl(ddf_fun_t *,
     nic_poll_mode_t, const struct timeval *);
-extern errno_t nic_poll_now_impl(ddf_fun_t *);
+extern int nic_poll_now_impl(ddf_fun_t *);
 
 extern void nic_default_handler_impl(ddf_fun_t *dev_fun,
-    ipc_callid_t callid, ipc_call_t *call);
-extern errno_t nic_open_impl(ddf_fun_t *fun);
+	ipc_callid_t callid, ipc_call_t *call);
+extern int nic_open_impl(ddf_fun_t *fun);
 extern void nic_close_impl(ddf_fun_t *fun);
 
Index: uspace/lib/nic/include/nic_rx_control.h
===================================================================
--- uspace/lib/nic/include/nic_rx_control.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/nic/include/nic_rx_control.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -114,9 +114,9 @@
 } __attribute__ ((packed)) vlan_header_t;
 
-extern errno_t nic_rxc_init(nic_rxc_t *rxc);
-extern errno_t nic_rxc_clear(nic_rxc_t *rxc);
-extern errno_t nic_rxc_set_addr(nic_rxc_t *rxc,
+extern int nic_rxc_init(nic_rxc_t *rxc);
+extern int nic_rxc_clear(nic_rxc_t *rxc);
+extern int nic_rxc_set_addr(nic_rxc_t *rxc,
 	const nic_address_t *prev_addr, const nic_address_t *curr_addr);
-extern bool nic_rxc_check(const nic_rxc_t *rxc,
+extern int nic_rxc_check(const nic_rxc_t *rxc,
 	const void *data, size_t size, nic_frame_type_t *frame_type);
 extern void nic_rxc_hw_filtering(nic_rxc_t *rxc,
@@ -126,20 +126,20 @@
 extern void nic_rxc_unicast_get_mode(const nic_rxc_t *, nic_unicast_mode_t *,
 	size_t max_count, nic_address_t *address_list, size_t *address_count);
-extern errno_t nic_rxc_unicast_set_mode(nic_rxc_t *rxc, nic_unicast_mode_t mode,
+extern int nic_rxc_unicast_set_mode(nic_rxc_t *rxc, nic_unicast_mode_t mode,
 	const nic_address_t *address_list, size_t address_count);
 extern void nic_rxc_multicast_get_mode(const nic_rxc_t *,
 	nic_multicast_mode_t *, size_t, nic_address_t *, size_t *);
-extern errno_t nic_rxc_multicast_set_mode(nic_rxc_t *, nic_multicast_mode_t mode,
+extern int nic_rxc_multicast_set_mode(nic_rxc_t *, nic_multicast_mode_t mode,
 	const nic_address_t *address_list, size_t address_count);
 extern void nic_rxc_broadcast_get_mode(const nic_rxc_t *,
 	nic_broadcast_mode_t *mode);
-extern errno_t nic_rxc_broadcast_set_mode(nic_rxc_t *,
+extern int nic_rxc_broadcast_set_mode(nic_rxc_t *,
 	nic_broadcast_mode_t mode);
 extern void nic_rxc_blocked_sources_get(const nic_rxc_t *,
 	size_t max_count, nic_address_t *address_list, size_t *address_count);
-extern errno_t nic_rxc_blocked_sources_set(nic_rxc_t *,
+extern int nic_rxc_blocked_sources_set(nic_rxc_t *,
 	const nic_address_t *address_list, size_t address_count);
-extern errno_t nic_rxc_vlan_get_mask(const nic_rxc_t *rxc, nic_vlan_mask_t *mask);
-extern errno_t nic_rxc_vlan_set_mask(nic_rxc_t *rxc, const nic_vlan_mask_t *mask);
+extern int nic_rxc_vlan_get_mask(const nic_rxc_t *rxc, nic_vlan_mask_t *mask);
+extern int nic_rxc_vlan_set_mask(nic_rxc_t *rxc, const nic_vlan_mask_t *mask);
 
 #endif
